#include "SBlogPreCompile.h" //WImage

#include "ArticleWidget.h" //ArticleWidget
#include "SbDbItem.h" //SbDbItem

/*!
 * \brief ActiveTicketListWidget::ActiveTicketListWidget Constructor.
 * \param Ssn2Use The wt dbo session to use.
 */
ArticleWidget::ArticleWidget()
{
    setupUi(); //建立界面。

    return;
} //ArticleDigestWidget::ArticleDigestWidget()

/*!
 * \brief ArticleDigestWidget::setArticleId 设置文章的编号。
 * \param atclId 要设置的文章编号。
 */
void ArticleWidget::setArticleId(int atclId)
{
    (void)(atclId);

    ifstream fin("mathML.htm");
    string s;
    string wholeContent;
    while(getline(fin,s))
    {
        wholeContent+=s;
    }

    atclCnttWdgt->setText (WString::fromUTF8 (wholeContent)); //设置内容。

    //I need to tell MathJax to refresh the fomulas when "wholeContent" reached the browser completely.


    return;
} //void ArticleDigestWidget::setArticleId(int atclId)

/*!
 * \brief ArticleWidget::setupUi 建立界面。
 */
void ArticleWidget::setupUi()
{
    editButton=new WPushButton(WString("Trigger MathJax")); //编辑按钮。
    addWidget (editButton); //添加编辑按钮。
    editButton->clicked ().connect(this,&ArticleWidget::requestMathJaxProcess); //按按钮，则请求MathJax更新。

    readTimesLabel=new WLabel(WString("Click the button on the left to manually trigger a MathJax update.\nThe problem is that I want to trigger the MathJax update automatically at a proper time.")); //创建阅读次数标签。
    addWidget (readTimesLabel); //添加阅读次数标签。

    atclCnttWdgt=new WText; //创建文章内容部件。
    atclCnttWdgt->setTextFormat (Wt::XHTMLUnsafeText); //设置为原始HTML模式。
    addWidget (atclCnttWdgt); //添加文章内容部件。

    setStyleClass ("ArticleWidget"); //设置样式类。

    return;
} //void ArticleWidget::setupUi()

/*!
 * \brief ArticleWidget::requestMathJaxRequest 请求MathJax做处理。
 */
void ArticleWidget::requestMathJaxProcess()
{
    doJavaScript ("MathJax.Hub.Typeset();"); //处理数学公式。

    return;
} //void ArticleWidget::requestMathJaxRequest()

