#include "SBlogPreCompile.h" //Session.

#include "SBlog.h" //SBlog
#include "SbDbComment.h" //SbDbComment

/*!
  *@brief 构造函数，指定亲代部件。
  */
SBlog::SBlog(WContainerWidget *Parent):WContainerWidget(Parent)
{
    setStyleClass("P2pWebContainer"); //设置样式类。

    srand(time(0)); //初始化随机数生成器。

    setupUi(); //setup the ui.

    connectSignals(); //连接信号槽。

    return;
} //GenieProWeb::GenieProWeb(WContainerWidget *Parent):WTabWidget(Parent)

/*!
  *@brief 析构函数。
  */
SBlog::~SBlog()
{
    delete Tabs; //Delete the tabs.
} //GenieProWeb::~GenieProWeb()

/*!
 * \brief SBlog::addTabs 加入各个标签。
 */
void SBlog::addTabs()
{
    //构建各个标签，并且添加到界面上：
    //一个大厅标签页，一个用户信息标签页，一个个的业务标签页：

    Tabs=new WTabWidget(this); //创建标签部件。
    Tabs->setStyleClass("P2pWebTab"); //设置样式类。
    Tabs->contentsStack()->setStyleClass("P2pWebTabStack"); //设置样式类。
    Tabs->contentsStack()->setTransitionAnimation(WAnimation(WAnimation::SlideInFromRight),true); //动画切换。

    //店铺管理标签：
    articleListTabWidget=new ArticleListTabWidget; //创建财务管理标签页。
    Tabs->addTab(articleListTabWidget,WString::tr("Articles")); //文章列表标签页。

    //正在阅读标签：
    readingTab=new ArticleWidget; //创建单个文章的标签页。
    Tabs->addTab (readingTab,WString::tr("Now reading")); //正在阅读标签页。

    Tabs->setCurrentWidget (articleListTabWidget); //Set the current page to store management.



    return;
} //void SBlog::addTabs()

/*!
 * \brief QueueMateWeb::setupUi setup the ui.
 */
void SBlog::setupUi()
{
    addTabs(); //加入各个标签。


    return;
} //void QueueMateWeb::setupUi()

/*!
 * \brief SBlog::connectSignals 连接信号槽。
 */
void SBlog::connectSignals()
{
    WApplication::instance ()->internalPathChanged ().connect (this,&SBlog::routeDispatch); //内部路径发生变化，则进行路由分发。

    return;
} //void SBlog::connectSignals()

vector<string> SBlog::split(string& str,const char* c)
{
    char *cstr, *p;
    vector<string> res;
    cstr = new char[str.size()+1];
    strcpy(cstr,str.c_str());
    p = strtok(cstr,c);
    while(p!=NULL)
    {
        res.push_back(p);
        p = strtok(NULL,c);
    }
    return res;
}

/*!
 * \brief SBlog::routeDispatch 内部路径发生变化，则进行路由分发。
 * \param nwItnlPth 新的内部路径。
 */
void SBlog::routeDispatch(string nwItnlPth)
{
    vector<string> pthCmpnts=split(nwItnlPth,"/"); //以/分割。

    Wt::log ("notice") << WString::tr("Path components 1:") << pthCmpnts[1]; //Debug.

    if (pthCmpnts[0]=="article") //单个文章的页面。
    {
        gotoSingleArticlePage(pthCmpnts); //切换到单个文章页面。

    } //if (pthCmpnts[1]=="article") //单个文章的页面。

    return;
} //void SBlog::routeDispatch(string nwItnlPth)

/*!
 * \brief SBlog::gotoSingleArticlePage 切换到单个文章页面。
 * \param pthCmpnts 由内部路径分割得来的参数列表。
 */
void SBlog::gotoSingleArticlePage(vector<string> pthCmpnts)
{
    (void)(pthCmpnts); //不使用这个参数。

    readingTab->setArticleId (0); //设置文章编号。

    Tabs->setCurrentWidget (readingTab); //切换到正在阅读标签页。

    return;
} //void SBlog::gotoSingleArticlePage(QStringList pthCmpnts)
