#include "SBlogPreCompile.h" //string

#include "SBlogApplication.h"  //SBlogApplication

/*!
 * \brief createApplication 创建应用程序实例。
 * \param env 运行时的环境信息集合。
 * \return 所创建的实例。
 */
WApplication *createApplication(const WEnvironment& env)
{
    WApplication *app = new SBlogApplication(env); //应用程序。
    app->enableUpdates(); //允许从其它线程更新界面。

    return app;
} //WApplication *createApplication(const WEnvironment& env)

/*!
  *@brief 主函数。
  */
int main(int argc, char *argv[])
{
    try //创建服务器，并且捕获可能的异常。
    {
        WServer server(argv[0]);

        server.setServerConfiguration(argc, argv, WTHTTP_CONFIGURATION);

        string WudisKUrl = ""; //浏览器入口的路径。
        string BlogUrl = "/Blog"; //浏览器入口的路径。
        string blogUrl = "/blog"; //浏览器入口的路径。
        string ShymjUrl = "/ShangHaiYanMoJi"; //浏览器入口的路径。
        string LkphUrl = "/LookUpHost"; //浏览器入口的路径。
        string ApUrl = "/AirPhin"; //浏览器入口的路径。
        string apUrl = "/airphin"; //浏览器入口的路径。
        string DrplUrl = "/Drupal"; //浏览器入口的路径。
        string ApDrplUrl = "/AirPhinDrupal"; //浏览器入口的路径。
        string apdrplUrl = "/airphindrupal"; //浏览器入口的路径。
        string KnaUrl = "/KNA"; //浏览器入口的路径。
        string slktrsUrl = "/Slecktris"; //浏览器入口的路径。
        string intGnUrl = "/IntsGen"; //浏览器入口的路径。
        string stpdGmUrl = "/stupidgames"; //浏览器入口的路径。
        string StpdGmUrl = "/StupidGames"; //浏览器入口的路径。
        string TwtsUrl = "/Twitese"; //浏览器入口的路径。
        string MgcRpmSpUrl = "/MagicRpmShop"; //浏览器入口的路径。
        string PdfUrl = "/Pdf"; //浏览器入口的路径。
        string VdoUrl = "/Video"; //浏览器入口的路径。
        string QmUrl = "/Qomo"; //浏览器入口的路径。
        string AbtUsUrl = "/AboutUs.htm"; //浏览器入口的路径。
        string indexwtUrl = "/index.wt"; //浏览器入口的路径。
        string indexPpUrl = "/index.php"; //浏览器入口的路径。
        string DnLdImgPpUrl = "/DownloadImage.php"; //浏览器入口的路径。
        string hmatrixwtUrl = "/HMatrix.wt"; //浏览器入口的路径。
        string imgLstPpUrl = "/ImageList.php"; //浏览器入口的路径。
        string vwImgUrl = "/ViewImage.php"; //浏览器入口的路径。
        string ImgLstBImgNmUrl = "/ImgLstByImgName.php"; //浏览器入口的路径。
        string EvrDyUrl = "/EveryDay.php"; //浏览器入口的路径。

        string favIconPath="Images/2625b4i.64.png"; //网站图标的路径。

        server.addEntryPoint(Application, createApplication, WudisKUrl,favIconPath); //直接对浏览器进行服务的入口。
        server.addEntryPoint(Application, createApplication, BlogUrl,favIconPath); //直接对浏览器进行服务的入口。/Blog
        server.addEntryPoint(Application, createApplication, blogUrl,favIconPath); //直接对浏览器进行服务的入口。/blog
        server.addEntryPoint(Application, createApplication, ShymjUrl,favIconPath); //直接对浏览器进行服务的入口。/ShangHaiYanMoJi
        server.addEntryPoint(Application, createApplication, LkphUrl,favIconPath); //直接对浏览器进行服务的入口。/LookUpHost
        server.addEntryPoint(Application, createApplication, ApUrl,favIconPath); //直接对浏览器进行服务的入口。/AirPhin
        server.addEntryPoint(Application, createApplication, apUrl,favIconPath); //直接对浏览器进行服务的入口。/airphin
        server.addEntryPoint(Application, createApplication, DrplUrl,favIconPath); //直接对浏览器进行服务的入口。/Drupal
        server.addEntryPoint(Application, createApplication, ApDrplUrl,favIconPath); //直接对浏览器进行服务的入口。/AirPhinDrupal
        server.addEntryPoint(Application, createApplication, apdrplUrl,favIconPath); //直接对浏览器进行服务的入口。/airphindrupal
        server.addEntryPoint(Application, createApplication, KnaUrl,favIconPath); //直接对浏览器进行服务的入口。/KNA
        server.addEntryPoint(Application, createApplication, indexwtUrl,favIconPath); //直接对浏览器进行服务的入口。/index.wt
        server.addEntryPoint(Application, createApplication, indexPpUrl,favIconPath); //直接对浏览器进行服务的入口。/index.php
        server.addEntryPoint(Application, createApplication, DnLdImgPpUrl,favIconPath); //直接对浏览器进行服务的入口。/DownloadImage.php
        server.addEntryPoint(Application, createApplication, hmatrixwtUrl,favIconPath); //直接对浏览器进行服务的入口。/HMatrix.wt
        server.addEntryPoint(Application, createApplication, imgLstPpUrl,favIconPath); //直接对浏览器进行服务的入口。/ImageList.php
        server.addEntryPoint(Application, createApplication, vwImgUrl,favIconPath); //直接对浏览器进行服务的入口。/ViewImage.php
        server.addEntryPoint(Application, createApplication, ImgLstBImgNmUrl,favIconPath); //直接对浏览器进行服务的入口。/ImgLstByImgName.php
        server.addEntryPoint(Application, createApplication, EvrDyUrl,favIconPath); //直接对浏览器进行服务的入口。/EveryDay.php
        server.addEntryPoint(Application, createApplication, slktrsUrl,favIconPath); //直接对浏览器进行服务的入口。/Slecktris
        server.addEntryPoint(Application, createApplication, intGnUrl,favIconPath); //直接对浏览器进行服务的入口。/IntsGen
        server.addEntryPoint(Application, createApplication, stpdGmUrl,favIconPath); //直接对浏览器进行服务的入口。/stupidgames
        server.addEntryPoint(Application, createApplication, StpdGmUrl,favIconPath); //直接对浏览器进行服务的入口。/StupidGames
        server.addEntryPoint(Application, createApplication, TwtsUrl,favIconPath); //直接对浏览器进行服务的入口。/Twitese
        server.addEntryPoint(Application, createApplication, MgcRpmSpUrl,favIconPath); //直接对浏览器进行服务的入口。/MagicRpmShop
        server.addEntryPoint(Application, createApplication, PdfUrl,favIconPath); //直接对浏览器进行服务的入口。/Pdf
        server.addEntryPoint(Application, createApplication, VdoUrl,favIconPath); //直接对浏览器进行服务的入口。/Video
        server.addEntryPoint(Application, createApplication, QmUrl,favIconPath); //直接对浏览器进行服务的入口。/Qomo
        server.addEntryPoint(Application, createApplication, AbtUsUrl,favIconPath); //直接对浏览器进行服务的入口。/AboutUs.htm

        if (server.start()) //启动服务器。
        {
            WServer::waitForShutdown();
            server.stop();
        } //if (server.start()) //启动服务器。
    }
    catch (WServer::Exception& e) //捕获服务器异常。
    {
        std::cerr << e.what() << std::endl;
    } //catch (WServer::Exception& e) //捕获服务器异常。
    catch (std::exception &e)  //捕获一般异常。
    {
        std::cerr << "exception: " << e.what() << std::endl;
    } //catch (std::exception &e)  //捕获一般异常。
} //int main(int argc, char *argv[])
